package com.dev.swms.server.model.fee;
import java.util.Date;
import com.dev.energy.server.model.Entity;
/**
 * 开票明细
 * @author 44700
 *
 */
public class ApplyBillDetail extends Entity {

	
	private ApplyBill applyBill;//开票申请-开票对象
	private BillFee billFee;//对账单
	private double amount;//金额
	private double taxPoint;//税点
	private String creatPeople;//创建人
	private Date creatDate;//创建时间	
	private String billCompany;//开票公司
	private String invoiceNo;//发票号
	private String billType;//开票类型
	private double invoicedPrice=0;//已开票金额
	private String Remarks;//备注
	
	
	
	public ApplyBill getApplyBill() {
		return applyBill;
	}
	public void setApplyBill(ApplyBill applyBill) {
		this.applyBill = applyBill;
	}
	public BillFee getBillFee() {
		return billFee;
	}
	public void setBillFee(BillFee billFee) {
		this.billFee = billFee;
	}
	public double getAmount() {
		return amount;
	}
	public void setAmount(double amount) {
		this.amount = amount;
	}
	public double getTaxPoint() {
		return taxPoint;
	}
	public void setTaxPoint(double taxPoint) {
		this.taxPoint = taxPoint;
	}
	public String getCreatPeople() {
		return creatPeople;
	}
	public void setCreatPeople(String creatPeople) {
		this.creatPeople = creatPeople;
	}
	public Date getCreatDate() {
		return creatDate;
	}
	public void setCreatDate(Date creatDate) {
		this.creatDate = creatDate;
	}
	public String getBillCompany() {
		return billCompany;
	}
	public void setBillCompany(String billCompany) {
		this.billCompany = billCompany;
	}
	public String getInvoiceNo() {
		return invoiceNo;
	}
	public void setInvoiceNo(String invoiceNo) {
		this.invoiceNo = invoiceNo;
	}
	public String getBillType() {
		return billType;
	}
	public void setBillType(String billType) {
		this.billType = billType;
	}
	public double getInvoicedPrice() {
		return invoicedPrice;
	}
	public void setInvoicedPrice(double invoicedPrice) {
		this.invoicedPrice = invoicedPrice;
	}
	public String getRemarks() {
		return Remarks;
	}
	public void setRemarks(String remarks) {
		Remarks = remarks;
	}
	private double ticketMat;//票内代垫
	private double outTicketMat ;//票外代垫
	private double turnover;//营业额
	private String operator;//操作人
	private Date operatorDate;//操作日期


	/**税率**/
	private int taxRate=0;
	
	/**规格**/
	private String pcs;
	/**单位**/
	private String unit;
	/**数量**/
	private double quantity;
	/**单价**/
	private double price;
	
	/**开票项目**/
	private String  billProject;
	/**税金**/
	private double taxMoney;
	/**总金额**/
	private double totalFee;
	/**票内代垫已开票*/
	private double ticketMatHas;
	/**票外代垫已开票*/
	private double outTicketMatHas ;
	/**营业额已开票*/
	private double turnoverHas;
	/**总金额已开票**/
	private double totalFeeHas;
	/**应收/应付**/
	private String payOrReceive;
	/**（不含税价）金额**/
	private double noTaxFee=0;
	/**税额**/
	private double taxFee=0;
	/*** 状态*/
	private String status;
	/**委外营业额*/
	private double payTurnover;
	/**（不含税价）票内**/
	private double notTicketMat=0;
	/**（不含税价）营业额**/
	private double notTurnover=0;
	

	





	
}
